
Redmine - Feature #6735

Add user-agent to reposman
Status: Closed Start date: 2010-10-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.0.3   

Resolution: Fixed   

Description

Hi,

On my system, reposman.rb fails with a 400 Bad Request. The reason for that is that I use mod_security, which has some strict rules

regarding correct compliance with requests, browsers, etc. (these rules are very essential because they cause bad bots, malicious

users, malicious requests, etc, to be denied)

Anyways, one of the requirements is that anything accessing the site must have a user-agent, and the reason that reposman fails is

because it doesn't specify a user-agent (I read my access logs)

So, could a user-agent be added? It'd make the tool more compliant with standards anyways, and it'd allow people to more easily

see and understand that the "thing" accessing their /sys/ area is reposman.

I was thinking of a user-agent such as: "Redmine repository manager/1.3 (http://&lt;site url>)"

Associated revisions

Revision 4288 - 2010-10-24 23:00 - Jean-Philippe Lang

Adds a user-agent to reposman (#6735).

History

#1 - 2010-10-24 22:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

Done in r4288. User-agent is "Redmine repository manager/#{Version}"

#2 - 2010-10-31 19:20 - Eric Davis

- Target version changed from 1.1.0 to 1.0.3

This is safe for the 1.0-stable branch and 1.0.3.
